Loading...
Searching...
No Matches
bsoncxx::types::bson_value Namespace Reference

## Description

Declares entities representing any BSON value type.

Deprecated
  Use bsoncxx::types instead (renamed).

## Classes

class | value
| An owning variant type that represents any BSON type. More...
class | view
| A non-owning variant that can contain any BSON type. More...

## Typedefs

using | view_or_value
| Equivalent to v_noabi::view_or_value<view, value>.

## Functions

template<typename T>
bson_value::value | make_value (T &&t)
| Helper to construct a bson_value::value from a component bson type. The type of the passed-in t can be anything that builder::basic::sub_document::append accepts.
bool | operator== (value const &lhs, value const &rhs)
| Compares values for (in)-equality.
bool | operator== (value const &lhs, value const &rhs)
| Compares values for (in)-equality.

## Typedef Documentation

## view_or_value

using bsoncxx::v_noabi::types::bson_value::view_or_value

Equivalent to v_noabi::view_or_value<view, value>.

## Function Documentation

## make_value()

template<typename T>

bson_value::value bsoncxx::v_noabi::types::bson_value::make_value | ( | T && | t | ) |

Helper to construct a bson_value::value from a component bson type. The type of the passed-in t can be anything that builder::basic::sub_document::append accepts.

## operator==() [1/2]

bool operator== | ( | value const & | lhs,
|  | value const & | rhs )

inline

Compares values for (in)-equality.

## operator==() [2/2]

bool operator== | ( | value const & | lhs,
|  | value const & | rhs )

inline

Compares values for (in)-equality.